/**
 *Transmission App
 * Implementing Transmission App
 */
 var VideoTransCenterApp = VideoTransCenterApp || {};  //Define Transmission App namespace.
 /**
  *Constructor UNAS App
  */
 VideoTransCenterApp.App = function () {
     this.id = 'Video Trans Center';
     this.name = 'Video Trans Center';
     this.version = '6.0.16';
     this.active = false;
     this.menuIcon = '/apps/videotranscenter/images/logo.png?v=' + this.version;
     this.shortcutIcon = '/apps/videotranscenter/images/logo.png?v=' + this.version;
     // this.controlpanelIcon = '/apps/videotranscenter/images/controllogo.png';
     this.entryUrl = '/apps/videotranscenter/index/index.html';
     var self = this;
     this.VideoTransCenterAppWindow = function () {
         VideoTransCenterAppWindowID = 'VideoTransCenterAppWindow' + Date.now();
         if (UNAS.CheckAppState('Video Trans Center')) {
             return false;
         }
 
         function VideoTransCenterKeepAlive() {
             jQuery.ajax({
                 url: "/apps/videotranscenter/includes/services_videotranscenter.php",
                 type: "POST",
                 async: true,
                 data: {"action": "keepalive"},
                 timeout: 20000,
                 complete: function () {
                     var VideoTransCenterWindow = window.top.UNAS.GetWindow(VideoTransCenterAppWindowID);
                     if (VideoTransCenterWindow) {
                         setTimeout(function () {
                             VideoTransCenterKeepAlive();
                         }, 10000);
                     }
                 }
             });
         }
 
         function VideoTransCenterReset() {
             jQuery.ajax({
                 url: "/apps/videotranscenter/includes/services_videotranscenter.php",
                 type: "POST",
                 async: true,
                 data: {"action": "firstOpen"},
                 timeout: 20000,
                 success: function () {
                     self.window = new MUI.Window({
                         id: VideoTransCenterAppWindowID,
                         title: UNAS._('Video Trans Center'),
                         icon: '/apps/videotranscenter/images/logo_small.png?v=' + this.version,
                         loadMethod: 'xhr',
                         width: 1130,
                         height: 780,
                         maximizable: false,
                         resizable: true,
                         scrollbars: false,
                         resizeLimit: {'x': [1130, 2000], 'y': [780, 3000]},
                         contentURL: '/apps/videotranscenter/index/index.html',
                         require: {
                             js: [
                                 '/apps/videotranscenter/index/static/js/chunk-elementUI.14bb4efe.js',
                                 '/apps/videotranscenter/index/static/js/chunk-libs.bf613e88.js',
                                 '/apps/videotranscenter/index/static/js/app.f92c7326.js'
                             ],
                             //require含有js时没有onload函数将报错，因此写一个空的onload函数
                             onload: function () {
                             }
                         },
                         onClose: function () {
                             if (window.videotranscenter && window.videotranscenter.onClose) {
                                 window.videotranscenter.onClose();
                                 window.videotranscenter.onClose = null;
                             }
                         },
                     });
 
                     VideoTransCenterKeepAlive();
                 },
                 error: function (XMLHttpRequest, textStatus, errorThrown) {
                     //alert(textStatus);
                 }
             });
         }
 
         VideoTransCenterReset();
     };
 
     this.VideoTransCenterUninstall = function () {
         UNAS.RemoveDesktopShortcut('Video Trans Center');
         UNAS.RemoveMenu('Video Trans Center');
         UNAS.RemoveAppFromGroups('Video Trans Center', 'ControlPanel');
         UNAS.RemoveAppFromApps('Video Trans Center');
     };
     // new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'Video Trans Center', '', this.VideoTransCenterAppWindow);
     // new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Video Trans Center', this.VideoTransCenterAppWindow);
 
     new UNAS.Menu('UNAS_App_Accessories_Menu', this.name, this.menuIcon, 'Video Trans Center', '', this.VideoTransCenterAppWindow);
     new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Video Trans Center', this.VideoTransCenterAppWindow);
 
     // new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {
     //     "Type": "Storage",
     //     "Location": 0,
     //     "Icon": this.shortcutIcon,
     //     "Url": this.entryUrl
     // }, {});
     var OnChangeLanguage = function (e) {
         UNAS.SetMenuTitle('Video Trans Center', UNAS._('Video Trans Center')); //translate menu
         UNAS.SetShortcutTitle('Video Trans Center', UNAS._('Video Trans Center')); //translate shortcut
         if (typeof self.window !== 'undefined') {
             UNAS.SetWindowTitle('VideoTransCenterAppWindow', UNAS._('Video Trans Center'));
         }
     };
     UNAS.LoadTranslation('/apps/videotranscenter/languages/Translation', OnChangeLanguage);
     UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
     UNAS.CreateApp(this.name, this.shortcutIcon, this.VideoTransCenterAppWindow, this.VideoTransCenterUninstall);
 };
 new VideoTransCenterApp.App();